org.apache.olingo.commons.api.edm.provider.annotation

## Class CsdlLogicalOrComparisonExpression

- java.lang.Object
- - org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem
  - - org.apache.olingo.commons.api.edm.provider.annotation.CsdlExpression
    - - org.apache.olingo.commons.api.edm.provider.annotation.CsdlDynamicExpression
      - - org.apache.olingo.commons.api.edm.provider.annotation.CsdlLogicalOrComparisonExpression

- All Implemented Interfaces:
    CsdlAnnotatable

      public class CsdlLogicalOrComparisonExpression
      extends CsdlDynamicExpression
      implements CsdlAnnotatable

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CsdlLogicalOrComparisonExpression.LogicalOrComparisonExpressionType` Type of the constant expression

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CsdlLogicalOrComparisonExpression(CsdlLogicalOrComparisonExpression.LogicalOrComparisonExpressionType type)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `List<CsdlAnnotation>` | `getAnnotations()` Returns a list of annotations
    `CsdlExpression` | `getLeft()` The left expression.
    `CsdlExpression` | `getRight()` The right expression.
    `CsdlLogicalOrComparisonExpression.LogicalOrComparisonExpressionType` | `getType()` Returns the type of the logical expression
    `int` | `hashCode()`
    `CsdlLogicalOrComparisonExpression` | `setAnnotations(List<CsdlAnnotation> annotations)`
    `CsdlLogicalOrComparisonExpression` | `setLeft(CsdlExpression left)`
    `CsdlLogicalOrComparisonExpression` | `setRight(CsdlExpression right)`

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.annotation.CsdlDynamicExpression

      `asAnnotationPath, asApply, asCast, asCollection, asIf, asIsOf, asLabeledElement, asLabeledElementReference, asLogicalOrComparison, asNavigationPropertyPath, asNull, asPath, asPropertyPath, asRecord, asUrlRef, isAnnotationPath, isApply, isCast, isCollection, isIf, isIsOf, isLabeledElement, isLabeledElementReference, isLogicalOrComparison, isNavigationPropertyPath, isNull, isPath, isPropertyPath, isRecord, isUrlRef`

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.annotation.CsdlExpression

      `asConstant, asDynamic, isConstant, isDynamic`

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem

      `getAllByName, getOneByName`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CsdlLogicalOrComparisonExpression

          public CsdlLogicalOrComparisonExpression(CsdlLogicalOrComparisonExpression.LogicalOrComparisonExpressionType type)

  - ### Method Detail

    - #### getAnnotations

          public List<CsdlAnnotation> getAnnotations()

      Description copied from interface: `CsdlAnnotatable`
      Returns a list of annotations
      Specified by:
        `getAnnotations` in interface `CsdlAnnotatable`
      Returns:
        list of annotations

    - #### setAnnotations

          public CsdlLogicalOrComparisonExpression setAnnotations(List<CsdlAnnotation> annotations)

    - #### getType

          public CsdlLogicalOrComparisonExpression.LogicalOrComparisonExpressionType getType()

      Returns the type of the logical expression
      Returns:
        type of the logical expression

    - #### getLeft

          public CsdlExpression getLeft()

      The left expression. In case this is of type Edm.Not the left expression will be the same as the right expression.
      Returns:
        The left expression.

    - #### setLeft

          public CsdlLogicalOrComparisonExpression setLeft(CsdlExpression left)

    - #### getRight

          public CsdlExpression getRight()

      The right expression. In case this is of type Edm.Not the left expression will be the same as the right expression.
      Returns:
        The right expression.

    - #### setRight

          public CsdlLogicalOrComparisonExpression setRight(CsdlExpression right)

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.